GLAM2FORMAT(1)

NAME
glam2format - converts GLAM2 motifs to FASTA or MSF format

SYNOPSIS

glam2format [options] my_format my_motif.glam2

Formats: fasta, msf.

DESCRIPTION

glam2format reads in a motif found by glam2, and writes it in a standard alignment format (FASTA-with-gaps or MSF). This enables the alignment to be passed to third-party software, including graphical visualization tools such as Kalignvu, Boxshade, and WebLogo. On the other hand, not all the motif information is preserved: in particular, the key positions are lost. Only the top motif in glam2 output is converted.

OPTIONS (DEFAULT SETTINGS)

-o
    Output file (stdout).

-c
    Make a compact alignment. By default, residues that are inserted between key positions are written as unaligned with each other. This best reflects glam2's intention, but it can make the alignment large and full of gaps. With -c, inserted residues are written as arbitrarily aligned with each other, just as they appear in the glam2 output.

-f
    Sequence file to make a “global” alignment by adding flanking sequences from the original FASTA-format sequence file. The flanking sequences will be written as either unaligned with each other or arbitrarily aligned, depending on the -c option. The sequences should have unique names and their order should be unchanged.

SEE ALSO

boxshade(1), glam2(1), glam2mask(1), glam2-purge(1), glam2scan(1)

The full Hypertext documentation of GLAM2 is available online at http://bioinformatics.org.au/glam2/ or on this computer in /usr/share/doc/glam2/.

REFERENCE

If you use GLAM2, please cite: MC Frith, NFW Saunders, B Kobe, TL Bailey (2008) Discovering sequence motifs with arbitrary insertions and deletions, PLoS Computational Biology (in press).

AUTHORS

Martin Frith

    Author of GLAM2.

Timothy Bailey

    Author of GLAM2.

Charles Plessy <plessy@debian.org>

    Formatted this manpage in DocBook XML for the Debian distribution.

COPYRIGHT

The source code and the documentation of GLAM2 are released in the public domain.